Page MenuHomePhabricator

[OpenCL] Add missing -cl-no-signed-zeros option into driver
ClosedPublic

Authored by ashi1 on Jul 6 2016, 1:24 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

ashi1 updated this revision to Diff 62951.Jul 6 2016, 1:24 PM
ashi1 retitled this revision from to [OpenCL] Add missing -cl-no-signed-zeros option into driver.
ashi1 updated this object.
ashi1 added reviewers: Anastasia, jvesely.
ashi1 set the repository for this revision to rL LLVM.
ashi1 added subscribers: yaxunl, nhaustov, rsmith and 3 others.
yaxunl added a comment.Jul 6 2016, 2:01 PM

I think you also need to set Opts.NoSignedZeros in CompilerInvocation.cpp.

ashi1 updated this revision to Diff 63143.Jul 7 2016, 2:47 PM
ashi1 added a reviewer: yaxunl.
ashi1 removed rL LLVM as the repository for this revision.

Revised base on Sam's comments.

Added no-signed-zeros as an attribute no-signed-zeros-fp-math.
Added a test for no-signed-zeros-fp-math.

yaxunl edited edge metadata.Jul 8 2016, 6:57 AM

LGTM. Thanks.

Anastasia accepted this revision.Jul 8 2016, 10:34 AM
Anastasia edited edge metadata.

LGTM! Thanks!

This revision is now accepted and ready to land.Jul 8 2016, 10:34 AM
This revision was automatically updated to reflect the committed changes.